Download it now!
Bug 62805 - FILEOPEN RTF : table not displayed
Summary: FILEOPEN RTF : table not displayed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium minor
Assignee: Maxime de Roucy
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-27 10:55 UTC by Maxime de Roucy
Modified: 2013-11-20 13:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
problematic rtf file and pdf showing what it should look like (102.74 KB, application/zip)
2013-03-27 10:55 UTC, Maxime de Roucy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime de Roucy 2013-03-27 10:55:38 UTC
Created attachment 77098 [details]
problematic rtf file and pdf showing what it should look like

Table is not displayed with the attached "script generated" rtf.

It is well displayed on MsWord.

The problem is that it is there is no \pard after the \row control word. Instead the table is include in a group.

I already create a patch to solve this problem and will push it on gerrit soon.
Comment 1 Maxime de Roucy 2013-03-27 11:18:32 UTC
I just pushed two commit to solve this issue :
* https://gerrit.libreoffice.org/#/c/3082/
* https://gerrit.libreoffice.org/#/c/3086/
Comment 2 Commit Notification 2013-03-27 12:00:12 UTC
Maxime de Roucy committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea8602bd116198aa076903d9b6ad91cfa96d0464

solve fdo#62805



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2013-03-27 12:02:05 UTC
Fixed now on master -- feel free to submit to libreoffice-4-0 on gerrit, it makes sense to backport such a bugfix.
Comment 4 Commit Notification 2013-03-27 12:25:33 UTC
Maxime de Roucy committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54b5973ded864634b70e3ec45200beaf1d13cb53

unit test for fdo#62805



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Maxime de Roucy 2013-03-27 14:46:47 UTC
(In reply to comment #3)
> Fixed now on master -- feel free to submit to libreoffice-4-0 on gerrit, it
> makes sense to backport such a bugfix.

I will submit it to libreoffice-4-0 (I will try to do it today).
Comment 6 Commit Notification 2013-03-28 08:30:37 UTC
Maxime de Roucy committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1145265b3f4bac37939726b1f4bf430eb5ec2c54&h=libreoffice-4-0

solve fdo#62805


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.